@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap');

@font-face {
    font-family: Roboto;
    src: url('https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap');
}
*{
    margin: 0 auto;
}

::placeholder {
    text-align: center; 
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}


#logo{
    width: 100%;
}
#logo1{
    margin: 10px 0px;
    
}
body {
    font-family: Roboto "sans-serif";
    padding: 10px 0px;
    background-image: url('images/gradijent-pozadina.png');
    background-repeat: no-repeat;
    background-position: unset;
    background-size: cover;
    background-attachment: scroll;
    --light-color: rgb(128, 207, 239);
    --dark-color: #01133D;
    --white-color: white;
    --grey-color: rgb(120, 144, 156);
    --input-color: rgb(236, 239, 241);
}
#wabWrapper{
    background-color: white;
    width: 100%;
    box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
    border-radius: 10px;
    margin: 10px 0px;
    padding: 0px;
}
iframe{
    border-radius: 10px;
    width: 100%;
    height: 90vh;
	max-height: 900px;
}
#potvrdiOdabirKrova{
    display: block;
    text-decoration: none;
    background-color: var(--dark-color);
    padding: 5px 15px;
    width: 230px;
    text-align: center;
    position: relative;
    top: -20px;
    z-index: 1;
    color: white;
    border-radius: 10px;
}
#potvrdiOdabirKrova3{
    display: block;
    text-decoration: none;
    background-color: var(--input-color);
    padding: 5px 15px;
    width: 200px;
    text-align: center;
    color: var(--dark-color);
    border-radius: 10px;
    margin-right: 20px;
}
#potvrdiOdabirKrova4{
    display: block;
    text-decoration: none;
    background-color: var(--dark-color);
    padding: 5px 15px;
    width: 200px;
    text-align: center;
    color: white;
    border-radius: 10px;
    margin-left: 20px;
}
#potvrdiOdabirKrova5{
    display: block;
    text-decoration: none;
    background-color: var(--dark-color);
    padding: 5px 15px;
    min-width: 180px;
    max-width: 200px;
    text-align: center;
    color: white;
    border-radius: 10px;
}
#dropdown{
    display: block;
    text-decoration: none;
    background-color: var(--input-color);
    padding: 5px 15px;
    min-width: 180px;
    max-width: 100%;
    text-align: center;
    color: var(--dark-color);
    border-radius: 10px;
}
#potvrdiOdabirKrova5:hover{
    cursor: pointer;
    background-color: var(--light-color)!important;
}
#potvrdiOdabirKrova6:hover{
    cursor: pointer;
    background-color: var(--light-color)!important;
}
#potvrdiOdabirKrova6{
    display: block;
    text-decoration: none;
    background-color: var(--input-color);
    padding: 5px 15px;
    min-width: 180px;
    max-width: 200px;
    text-align: center;
    color: var(--dark-color);
    border-radius: 10px;
}
.izracunajBtn{
    display: block;
    text-decoration: none;
    background-color: var(--dark-color);
    padding: 5px 15px;
    width: 230px;
    text-align: center;
    position: relative;
    top: 23px;
    z-index: 1;
    color: white;
    border-radius: 10px;
}
.izracunajBtn:hover{
    text-decoration: none;
    color: var(--white-color);
    background-color: var(--light-color)!important;
}
.obracunBtnWrapper{
    z-index: 1;
    width: 100%;
    display: flex;
    justify-content: space-between;
}
#potvrdiOdabirKrova7{
}
#lineButton{
    background-color: var(--dark-color);
    color: var(--white-color);
    border-radius: 20px;
}
#barButton{
    border-radius: 20px;
}
#lineButton:hover{
    color: var(--white-color);
    background-color: var(--light-color);
}
.hover:hover{
    color: var(--white-color)!important;
    background-color: var(--light-color)!important;
}
#potvrdiOdabirKrova:hover{background-color: var(--light-color);}
#potvrdiOdabirKrova2:hover{background-color: var(--light-color);}
#potvrdiOdabirKrova3:hover{background-color: var(--light-color);}
#potvrdiOdabirKrova4:hover{background-color: var(--light-color);}
.povrsineKrova{
    padding-top: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: var(--white-color);
    font-size: 12px;
}
#upute{
    color: var(--dark-color);
    padding: 30px;
    margin: 10px 0px;
    border-radius: 15px;
    background-color: var(--white-color);
    box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
}
#povrsineKrova{
    border-radius: 15px;
    background-color: var(--dark-color);
    padding: 20px 0px;
    text-align: center;
    box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
}
/* style="border: 1px solid black;background-color: black; width: 30%;" */
.crta{
    border: 1px solid var(--grey-color);
    background-color: var(--grey-color);
    width: 30%;
    margin-top: 10px;
    margin-bottom: 10px;
}
.spanPovKrov{
    font-size: 20px;
    color: var(--light-color);
}
/* style="min-height: 100px; background-color: yellow; text-align: center; padding: 15px;" */
#infoWrapper{
    display: flex;
    flex-direction: column;
    justify-content: center;
    min-height: 100px;
    background-color: var(--white-color);
    text-align: center;
    width: 45%;
    margin-right: 5%;
    box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
    border-radius: 15px;
}
#pieChartWraper{
    padding: 10px 0px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    min-height: 100px;
    background-color: var(--white-color);
    text-align: center;
    width: 45%;
    margin-left: 5%;
    box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
    border-radius: 15px;
}
.tamniText{
    color: var(--dark-color);
}
.svjetliText{
    color: var(--light-color);
}
.siviText{
    color: var(--grey-color);
}
#mjesecniObracunWrapper{
    position: relative;
    top:-13px;
    padding: 30px;
    padding-bottom: 10px;
    background-color: var(--white-color);
    box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
    border-radius: 15px;
}
#godisnjiObracunWrapper{
    position: relative;
    top:-13px;
    display: none;
    padding: 30px;
    padding-bottom: 10px;
    background-color: var(--white-color);
    box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
    border-radius: 15px;
}
.unos{
    display: flex;
    flex-direction: column;
    margin-top: 20px;
}
.inputMjesecna{
    max-width: 120px;
    border: none;
    border-radius: 5px;
    background-color: var(--input-color);
}
.inline{
    display: inline;
}
.visokaTarivfaUnos{
    align-items: center;
    display: flex;
    width: 50%;
}
.font12{
    font-size: 12px;
}
.font14{
    font-size: 14px;
}
.font20{
    font-size: 20px;
}
.font16{
    font-size: 16px;
}
.font18{
    font-size: 18px;
}
.bold{
    font-weight: bold;
}
.buttonIzracunaj{
    background-color: var(--dark-color);
    border: none;
    border-radius: 10px;
    padding: 5px 20px;
    position: relative;
    bottom: 0px;
}
.rezultatWrapper{
    text-align: center;
    margin-top: 50px;
    background-color: var(--input-color);
    border-radius: 15px;
    box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
}
.klasa1{
    padding: 20px;
}
.lijevi{
    border-right: 1px solid var(--white-color);
}
.desni{
    border-left: 1px solid var(--white-color);
}
.font24{
    font-size: 24px;
}
.font26{
    font-size: 26px;
}
.weight500{
    font-weight: 500;
}
.chartTypeIconWrapper{
    text-align: right;
    color: var(--dark-color);
}
.chartTypeIcon{
    display: inline-block;
    padding: 8px;
    font-size: 18px;
}
.clickable:hover{
    cursor: pointer;
}
.grafHolder{
    margin-top: 30px;
    background-color: var(--white-color);
    border-radius: 15px;
    box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
    padding: 20px 0px 0px;
}
#grafLinijeKWH{
    padding: 20px;
    width: 100%;
    margin: 0px;
    min-height: 300px;
}
#grafLinijeKWHWrapper{
    display: flex;
}
#grafBaroviKWH{
    display: none;
    padding: 20px;
    width: 100%;
    margin: 0px;
    min-height: 300px;
}
#grafLinijeKN{
    display: none;
    padding: 20px;
    width: 100%;
    margin: 0px;
    min-height: 300px;
}
#grafBaroviKN{
    display: none;
    padding: 20px;
    width: 100%;
    margin: 0px;
    min-height: 300px;
}
#promjenaGrafa{
    position: relative;
    top: 13px;
}
.footer{
    position: relative;
    background-color: var(--white-color);
    box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
    border-radius: 15px;
    margin-top: 30px;
    padding: 30px;
}
/* .lijeviSivi::after{
    content: '';
    display: block;
    position: absolute;
    width: 1px;
    background-color: var(--white-color);
    height: 10vh;
    top: 0px;
    right: -2px;
    border: 1px solid white;
    z-index: 1;
} */
.lijeviSivi{
    padding-left: 30px!important;
    border-right: 1px solid var(--grey-color);
}
.desniSivi{
    padding-left: 30px!important;
    border-left: 1px solid var(--grey-color);
}
/* style="margin-bottom: 30px; margin-left: -15px; margin-right: 0px" */
#povrsinaKrovaWrapper{
    margin-bottom: 30px;
    margin-left: -15px;
    margin-right: 0px;
}
/* style="display: flex; justify-content: space-between; margin-left: -15px;" */
#infoAndGrafWrapper{
    display: flex; 
    justify-content: space-between; 
    margin-left: -15px;
    margin-right: 0px;
}
#unosWrapper{
    margin-left: 0px; 
    margin-right: -15px
}
#rezultatHolder{
    margin-left: 0px;
    margin-right: -15px;
}
#mjeseci{
    display: flex;
}
#mjeseci2{
    display: none;
}
#mjeseci3{
    display: none;
}
.pozadinaHover:hover{
    color: var(--white-color);
    background-color: var(--light-color);
}
.radius{
    color: var(--grey-color);
    border-radius: 70%;
}

#vidiVise{
    margin: 0px;
    color: var(--light-color);
    display: inline;
}
#vidiVise:hover{
    color: var(--dark-color);
    text-decoration: underline;
    cursor: pointer;
}
.brojevi{
    display: inline;
}
.uputeRed{
    display: flex;
    flex-direction: row;
    margin-bottom: 25px;
}
.uputeText{
    margin: 0px;
    justify-content: center;
    align-items: center;
    display: flex;
}
.uputeBroj{
    margin: 0px;
    color: white;
    margin-top: 10px;
    padding: 5px 10px 6px 10px;
    border-radius: 50%;
}
.manualniTask{
    background-color: var(--dark-color);
}
.automatskiTask{
    background-color: var(--light-color);
}
.podlista{
    display: flex;
    flex-direction: row;
    margin-bottom: 25px;
}
.podlistaBroj{
    margin: 0px;
    color: var(--dark-color);
    margin-top: 10px;
    padding: 5px 5px;
    background-color: var(--input-color);
    border-radius: 50%;
}
#napomena{
    margin-top: 40px;
    font-size: 12px;
}
#vidiManjeWrapper{
    display: flex;
    justify-content: flex-end;
}
#vidiManje{
    margin: 0px;
    color: var(--light-color);
    display: none;
}
#vidiManje:hover{
    color: var(--dark-color);
    text-decoration: underline;
    cursor: pointer;
}
#viseInfo{
    display: none;
}
.logoRegeaGdi{
    display: flex;
}
@media screen and (max-width: 991.9px){
    #logo1{
        background-color: var(--white-color);
        box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
        border-radius: 15px;
    }
    body{
        background-position: center;
        background-size: cover;
    }
    #povrsinaKrovaWrapper{
        margin-bottom: 30px;
        margin-left: -15px;
        margin-right: -15px;
    }
    #infoAndGrafWrapper{
        margin-left: -15px;
        margin-right: -15px;
    }
    #unosWrapper{
        margin-top: 30px;
        margin-left: -15px; 
        margin-right: -15px;
    }
    #rezultatHolder{
        margin-left: -15px;
        margin-right: -15px;
    }
    .font16{
        font-size: 14px;
    }
}
@media screen and (max-width: 768px){
    .lijeviSivi::after{
        display: none;
    }
    .lijeviSivi{
        border: none;
    }
    #potvrdiOdabirKrova3{
        width: 150px;
    }
    #potvrdiOdabirKrova4{
        width: 150px;
    }
    .visokaTarivfaUnos{
        align-items: center;
        display: flex;
        width: 100%;
        margin-top: 10px;
    }
    .unos{
        display: flex;
        flex-direction: column;
        margin-top: 20px;
    }
    .inputMjesecna{
        max-width: 110px;
    }
    .font14{
        font-size: 12px;
    }
    #potvrdiOdabirKrova5{
        min-width: 150px;
    }
    #potvrdiOdabirKrova6{
        min-width: 150px;
    }
    .desniSivi{
        margin-top: 50px;
    }
}
@media screen and (max-width: 991.9px){
    #povrsineKrova{
        padding: 20px 30px;
    }
}
@media screen and (max-width: 410px) {
    #mjeseci{
        display: none;
    }
    #mjeseci2{
        display: flex;
    }
    #mjeseci3{
        display: flex;
    }
    #potvrdiOdabirKrova3{
        width: 90px;
    }
    #potvrdiOdabirKrova4{
        width: 90px;
    }
    #potvrdiOdabirKrova5{
        min-width: 0px;
    }
    #potvrdiOdabirKrova6{
        min-width: 0px;
    }
    /* #nt{
        padding-left: 5px;
    } */
}

